> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/paginacion.md).

# Paginación

Los siguientes puntos de entrada de la API permiten devolver porciones paginadas de los resultados de búsqueda de manera selectiva:

* GET /posts
* GET /posts/stats

En cada uno de estos endpoints, dos parámetros trabajan juntos para seleccionar una porción de los resultados que se devolverán:

* **per\_page** – define un número máximo de resultados a devolver en una sola página.
* **page** – especifica qué página de resultados se debe devolver.

Por ejemplo, supongamos que una solicitud dada devolvería 50 resultados. Si definimos diez resultados por página y solicitamos la página dos, solo se devolverán los resultados del 11 al 20.

* GET /posts?per\_page=10\&page=2


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.junkipedia.org/es/material-de-referencia/api/parametros-de-la-cadena-de-consulta/paginacion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
